ssh2_auth_none
ssh2_auth_pubkey_file
SSH2 Functions
PHP Manual

# ssh2_auth_password

Authenticate over SSH using a plain password

### Description

bool ssh2_auth_password ( resource `$session` , string `$username` , string `$password` )

Authenticate over SSH using a plain password. Since version 0.12 this function also supports keyboard_interactive method.

### Parameters

`session`

  An SSH connection link identifier, obtained from a call to ssh2_connect.

`username`

  Remote user name.

`password`

  Password for `username`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Authenticating with a password

`<?php
$connection = ssh2_connect('shell.example.com', 22);
if (ssh2_auth_password($connection, 'username', 'secret')) {
echo "Authentication Successful!\n";
} else {
die('Authentication Failed...');
}
?>`